icon = {
	achievements = "assets/textures/icons/icon6.png",
	armorHeavy = "assets/textures/icons/icon31.png",
	armorLight = "assets/textures/icons/icon29.png",
	armorMedium = "assets/textures/icons/icon30.png",
	assasination = "assets/textures/icons/icon22.png",
	attackHigh = "assets/textures/icons/icon76.png",
	attackLow = "assets/textures/icons/icon74.png",
	attackMedium = "assets/textures/icons/icon75.png",
	build = "assets/textures/icons/icon1.png",
	combat = "assets/textures/icons/icon15.png",
	engageMelee = "assets/textures/icons/icon11.png",
	engageRanged = "assets/textures/icons/icon9.png",
	gatherResource = "assets/textures/icons/icon16.png",
	gold = "assets/textures/icons/icon14.png",
	guard = "assets/textures/icons/icon2.png",
	heal = "assets/textures/icons/icon48.png",
	infernal = "assets/textures/icons/icon12.png",
	life = "assets/textures/icons/icon49.png",
	magicShieldHigh = "assets/textures/icons/icon83.png",
	magicShieldLow = "assets/textures/icons/icon81.png",
	magicShieldMedium = "assets/textures/icons/icon82.png",
	map = "assets/textures/icons/icon19.png",
	power = "assets/textures/icons/icon18.png",
	research = "assets/textures/icons/icon86.png",
	statistics = "assets/textures/icons/icon5.png",
	summonElementalAir = nil,
	summonElementalArcane = "assets/textures/icons/icon100.png",
	summonElementalEarth = "assets/textures/icons/icon105.png",
	summonElementalFire = "assets/textures/icons/icon46.png",
	summonElementalIce = nil,
	summonElementalMagma = nil,
	summonElementalPsychic = nil,
	summonElementalStorm = "assets/textures/icons/icon40.png",
	summonElementalWater = "assets/textures/icons/icon97.png",
	vampireConvert = "assets/textures/icons/icon21.png"
}

portrait = {
	_ariel = "assets/textures/characters/imp_ariel/portrait.png",
	elementalAir = "assets/textures/characters/elemental_air/portrait.png",
	elementalArcane = "assets/textures/characters/elemental_arcane/portrait.png",
	elementalEarth = "assets/textures/characters/elemental_earth/portrait.png",
	elementalFire = "assets/textures/characters/elemental_fire/portrait.png",
	elementalIce = "assets/textures/characters/elemental_ice/portrait.png",
	elementalMagma = "assets/textures/characters/elemental_magma/portrait.png",
	elementalPsychic = "assets/textures/characters/elemental_psychic/portrait.png",
	elementalStorm = "assets/textures/characters/elemental_storm/portrait.png",
	elementalWater = "assets/textures/characters/elemental_water/portrait.png",
	militia = "assets/textures/characters/militia/portrait.png",
	pikeman = "assets/textures/characters/pikeman/portrait.png",
	crossbow = "assets/textures/characters/crossbow/portrait.png",
	eliteCrossbow = "assets/textures/characters/elite_crossbow/portrait.png",
	gryphon = "assets/textures/characters/gryphon/portrait.png",
	ancientGryphon = "assets/textures/characters/ancient_gryphon/portrait.png",
	swordman = "assets/textures/characters/swordman/portrait.png",
	humanCaptain = "assets/textures/characters/human_captain/portrait.png",
	monk = "assets/textures/characters/monk/portrait.png",
	priest = "assets/textures/characters/priest/portrait.png",
	horseman = "assets/textures/characters/horseman/portrait.png",
	cavailer = "assets/textures/characters/cavailer/portrait.png",
	knight = "assets/textures/characters/knight/portrait.png",
	paladin = "assets/textures/characters/paladin/portrait.png",
	impling = "assets/textures/characters/impling/portrait.png",
	imp = "assets/textures/characters/imp/portrait.png",
	gog = "assets/textures/characters/gog/portrait.png",
	magog = "assets/textures/characters/magog/portrait.png",
	hellhound = "assets/textures/characters/hellhound/portrait.png",
	hellbeast = "assets/textures/characters/hellbeast/portrait.png",
	demon = "assets/textures/characters/demon/portrait.png",
	archdemon = "assets/textures/characters/archdemon/portrait.png",
	pitfiend = "assets/textures/characters/pitfiend/portrait.png",
	elitePitfiend = "assets/textures/characters/elite_pitfiend/portrait.png",
	efreet = "assets/textures/characters/efreet/portrait.png",
	eliteEfreet = "assets/textures/characters/elite_efreet/portrait.png",
	devil = "assets/textures/characters/devil/portrait.png",
	theDevil = "assets/textures/characters/the_devil/portrait.png",
	skeleton = "assets/textures/characters/skeleton/portrait.png",
	skeletonRisen = "assets/textures/characters/risen_skeleton/portrait.png",
	zombie = "assets/textures/characters/zombie/portrait.png",
	zombieRisen = "assets/textures/characters/risen_zombie/portrait.png",
	spider = "assets/textures/characters/spider/portrait.png",
	spiderMatriarch = "assets/textures/characters/spider_matriarch/portrait.png",
	spirit = "assets/textures/characters/spirit/portrait.png",
	ghost = "assets/textures/characters/ghost/portrait.png",
	vampire = "assets/textures/characters/vampire/portrait.png",
	bloodlinePatriarch = "assets/textures/characters/bloodline_patriarch/portrait.png",
	necromancer = "assets/textures/characters/necromancer/portrait.png",
	lich = "assets/textures/characters/lich/portrait.png",
	bloodknight = "assets/textures/characters/bloodknight/portrait.png",
	deathknight = "assets/textures/characters/deathknight/portrait.png",
	dwarf1 = "assets/textures/characters/dwarf1/portrait.png",
	dwarf2 = "assets/textures/characters/dwarf2/portrait.png",
	pixie = "assets/textures/characters/pixie/portrait.png",
	faerie = "assets/textures/characters/faerie/portrait.png",
	satyrArcher = "assets/textures/characters/satyr_archer/portrait.png",
	satyrWarrior = "assets/textures/characters/satyr_warrior/portrait.png",
	elvenHunter = "assets/textures/characters/elven_hunter/portrait.png",
	elvenCaptain = "assets/textures/characters/elven_captain/portrait.png",
	deerWhite = "assets/textures/characters/deer_white/portrait.png",
	deerBrown = "assets/textures/characters/deer_brown/portrait.png",
	spellweaver = "assets/textures/characters/spellweaver/portrait.png",
	druid = "assets/textures/characters/druid/portrait.png",
	treant = "assets/textures/characters/treant/portrait.png",
	ent = "assets/textures/characters/ent/portrait.png"
}

animation = {
	_ariel = {
		idle = "assets/textures/characters/imp_ariel/idle",
		walk = "assets/textures/characters/imp_ariel/walk",
		attack = "assets/textures/characters/imp_ariel/attack",
		hit = "assets/textures/characters/imp_ariel/hit",
		death = "assets/textures/characters/imp_ariel/death"
	},
	elementalAir = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elementalArcane = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elementalEarth = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elementalFire = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elementalIce = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elementalMagma = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elementalPsychic = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elementalStorm = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elementalWater = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	militia = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	pikeman = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	crossbow = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	eliteCrossbow = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	gryphon = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	ancientGryphon = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	swordman = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	humanCaptain = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	monk = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	priest = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	horseman = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	cavailer = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	knight = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	paladin = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	impling = {
		idle = "assets/textures/characters/impling/idle",
		walk = "assets/textures/characters/impling/walk",
		attack = "assets/textures/characters/impling/attack",
		hit = "assets/textures/characters/impling/hit",
		death = "assets/textures/characters/impling/death"
	},
	imp = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	gog = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	magog = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	hellhound = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	hellbeast = {
		idle = "assets/textures/characters/hellbeast/idle",
		walk = "assets/textures/characters/hellbeast/walk",
		attack = "assets/textures/characters/hellbeast/attack",
		hit = "assets/textures/characters/hellbeast/hit",
		death = "assets/textures/characters/hellbeast/death"
	},
	demon = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	archdemon = {
		idle = "assets/textures/characters/archdemon/idle",
		walk = "assets/textures/characters/archdemon/walk",
		attack = "assets/textures/characters/archdemon/attack",
		hit = "assets/textures/characters/archdemon/hit",
		death = "assets/textures/characters/archdemon/death"
	},
	pitfiend = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death=  nil
	},
	elitePitfiend = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	efreet = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	eliteEfreet = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	devil = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	theDevil = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	skeleton = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	skeletonRisen = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	zombie = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	zombieRisen = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	spider = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	spiderMatriarch = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	spirit = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	ghost = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	vampire = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	bloodlinePatriarch = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	necromancer = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	lich = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	bloodknight = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	deathknight = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	dwarf1 = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	dwarf2 = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	pixie = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	fairie = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	satyrArcher = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	satyrWarrior = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elvenHunter = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	elvenCaptain = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	deerWhite = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	deerBrown = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	spellweaver = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	druid = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	treant = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	},
	ent = {
		idle = nil,
		walk = nil,
		attack = nil,
		hit = nil,
		death = nil
	}
}

statTable = {
	implings = {
		health = 10,
		speed = 2
	} 
}


img = {
	hud = {
		unit_show = love.graphics.newImage("assets/textures/ui/unit_portrait.png")
	}
}
